SHELL := /bin/bash
TARGET_USER=root
HOST?=wr-xena-tester
TARGET=$(TARGET_USER)@$(HOST)
ATTEST_HOME_DIR=/home/attest/AttestServer/NetO2Attest
SRCS_DIR= ./Net-O2
SRCS := $(shell find ${SRCS_DIR} -name '*' -type f)

install: $(SRCS)
	@for x in ${SRCS}; do\
		r=`git ls-files $$x`;\
		if [ -n "$$r" ]; then\
			d=`dirname "$$r"`;\
			scp $$r $(TARGET):$(ATTEST_HOME_DIR)/$$d;\
		fi;\
	done

		